import { request } from '@umijs/max';

export async function orderPage(body) {
    return request('/admin/invest/orders/page', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}


export async function orderPointRecord(body) {
    return request('/admin/invest/orders/point/record', {
        method: 'get',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        params: body || {},
    });
}


export async function ordersExport(body) {
    return request('/admin/invest/orders/export', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        responseType: 'blob',
        data: body || {},
    });
}


export async function ordersCount(body) {
    return request('/admin/invest/orders/count', {
        method: 'get',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        params: body || {},
    });
}

export async function shopOrderRefund(body) {
    return request('/admin/invest/orders/orderRefund', {
        method: 'post',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}


